Creates a new alert
POST
Accepts the same filter keys as /api/jobs. Alerts only apply to jobs posted after creation.
curl -X POST https://oceanofjobs.com/api/me/alerts \ -H "Authorization: Bearer <id_token>" \ -H "content-type: application/json" \ -d '{"filter": {"search": "rust", "country": "US"}}'bearerAuthheader
AuthorizationBearer <JWT>Your Cognito ID token, as Authorization: Bearer <id_token>. If a token is missing, expired, or invalid, the request returns 401 Unauthorized.
application/json- body
filter*Any subset of the /api/jobs filter keys.
Resource created (e.g., alert added).
application/json- response
alert_id?stringFormat
uuidfilter?Any subset of the /api/jobs filter keys.
active?booleancreated_at?stringFormat
date-timelast_notified_at?|Format
date-timecurl -X POST 'https://oceanofjobs.com/api/me/alerts' \ -H 'Content-Type: application/json' \ -d '{ "filter": {}}'Example Response
{ "alert_id": "c8b0bcf7-1a95-4165-9b1e-665b02ceda9f", "filter": {}, "active": true, "created_at": "2019-08-24T14:15:22Z", "last_notified_at": "2019-08-24T14:15:22Z"}